Building 1.14.0 fails on opensuse42.3

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderators: Forum Moderators, Developers

Post Reply
hrzlbrmpft
Posts: 2
Joined: May 9th, 2018, 8:35 pm

Building 1.14.0 fails on opensuse42.3

Post by hrzlbrmpft » May 9th, 2018, 8:43 pm

Hi all,

I'm running opensuse42.3 with current updates on x86_64, to be precise

Code: Select all

> uname -a
Linux athlon 4.4.126-48-default #1 SMP Sat Apr 7 05:22:50 UTC 2018 (f24992c) x86_64 x86_64 x86_64 GNU/Linux
I've downloaded the 1.14.0 source, extracted it and ran "scons jobs=5 prefix=/usr/local/test/" as i did for more than 5 versions 1.13.x.

Build fails with

Code: Select all

scons: *** [build/release/actions/attack.o] Error 1
scons: building terminated because of errors.
Attached please find the complete output of the building process:
compile_error.txt.gz
compile error, gzipped
(21.6 KiB) Downloaded 72 times
Thanks in advance for any help!

hrzlbrmpft
Posts: 2
Joined: May 9th, 2018, 8:35 pm

Re: Building 1.14.0 fails on opensuse42.3

Post by hrzlbrmpft » May 10th, 2018, 3:51 pm

Update:
Turns out that you can have one of the following boost-devel packages installed on opensuse42.3:
boost-devel-1.54.0-15.15
boost_1_58_0-1.58.0-8.1
boost_1_61-devel-1.61.0-4.2

The error described occured with the 1.54 version. After installing 1.61 the build was successful. Maybe this helps someone.
Best regards.

Post Reply